Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uchicago.src.sim.parameter.rpl
Class RPLParserTokenManager

    java.lang.Object
      uchicago.src.sim.parameter.rpl.RPLParserTokenManager

All Implemented Interfaces:
  RPLParserConstants

    public class RPLParserTokenManager

extends java.lang.Object
implements RPLParserConstants

Field Summary
`protected char` | `curChar`
`java.io.PrintStream` | `debugStream`
`boolean` | `forcedNewline`
`boolean` | `generator_allowed`
`static int[]` | `jjnewLexState`
`static java.lang.String[]` | `jjstrLiteralImages`
`static java.lang.String[]` | `lexStateNames`

Fields inherited from interface uchicago.src.sim.parameter.rpl.RPLParserConstants
`COLON, COMMA, COMPLEX, CONSTANT, CONTINUATION, CRLF1, DECNUMBER, DEDENT, DEF, DEFAULT, DIGIT, DOT, EOF, EQUAL, EXPONENT, FALSE, FLOAT, FORCE_NEWLINE, FORCE_NEWLINE1, FORCE_NEWLINE2, HEXNUMBER, IN_STRING11, IN_STRING13, IN_STRING21, IN_STRING23, INDENT, INDENTATION_UNCHANGED, INDENTING, LBRACKET, LETTER, LPAREN, NAME, NEWLINE, NEWLINE1, NEWLINE2, NEWLINE3, OCTNUMBER, PARAMETER, RBRACKET, RPAREN, SEMICOLON, SINGLE_LINE_COMMENT, SINGLE_STRING, SINGLE_STRING2, SPACE, tokenImage, TRAILING_COMMENT, TRIPLE_STRING, TRIPLE_STRING2, TRUE, UNREACHABLE`

Constructor Summary
`RPLParserTokenManager(SimpleCharStream stream)`
`RPLParserTokenManager(SimpleCharStream stream, int lexState)`

Method Summary
`Token` | `getNextToken()`
`void` | `ReInit(SimpleCharStream stream)`
`void` | `ReInit(SimpleCharStream stream, int lexState)`
`void` | `setDebugStream(java.io.PrintStream ds)`
`void` | `SwitchTo(int lexState)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### forcedNewline

    public boolean forcedNewline

### generator_allowed

    public boolean generator_allowed

### debugStream

    public java.io.PrintStream debugStream

### jjstrLiteralImages

    public static final java.lang.String[] jjstrLiteralImages

### lexStateNames

    public static final java.lang.String[] lexStateNames

### jjnewLexState

    public static final int[] jjnewLexState

### curChar

    protected char curChar

Constructor Detail

### RPLParserTokenManager

    public RPLParserTokenManager(SimpleCharStream stream)

### RPLParserTokenManager

    public RPLParserTokenManager(SimpleCharStream stream,
                                 int lexState)

Method Detail

### setDebugStream

    public void setDebugStream(java.io.PrintStream ds)

### ReInit

    public void ReInit(SimpleCharStream stream)

### ReInit

    public void ReInit(SimpleCharStream stream,
                       int lexState)

### SwitchTo

    public void SwitchTo(int lexState)

### getNextToken

    public final Token getNextToken()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD